      subroutine printblock ( block, nxa, nya, sl1, sl2, sl3, sl4)
c ======================================================================
c
c        programmer     Jos van Kan
c
c       version 1.0    27-03-1997
c
c
c   copyright (c) 1997
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by anya means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   author.
c
c
c **********************************************************************
c
c                       DESCRIPTION
c
c   A matrixa consisting of a 3-point stencil on a nxa * nya grid is printed
c   per ROW of the grid, one stencil per line. It is assumed that
c   the matrixa has dimension (nxa, nya, 3)
c **********************************************************************
c
c                       KEYWORDS
c
c   multi_grid
c **********************************************************************
c
c                       MODULES USED
c
      use mgpreset
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      integer sl1, sl2, sl3, sl4
      integer nxa, nya
      double precision
     +block(1-sl1:nxa+sl2,1-sl3:nya+sl4,3)

c     block     i    The nxa*nya*3 diagonal blockmatrixa used in line jacobi
c     nxa       i    Number of grid x points on this level
c     nya       i    Number of grid y points on this level
c     sl1       i    Slack variable, x lower bound
c     sl2       i    Slack variable, x upper bound
c     sl3       i    Slack variable, y lower bound
c     sl4       i    Slack variable, y upper bound
c **********************************************************************
c
c                       COMMON BLOCKS
c
c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      integer ixa, iya

c     ixa        Counter to number of grid x points on this level
c     iya        Counter to number of grid y points on this level
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      write (*, *) 'Print tridiagonal block output. '
      do iya = 1, nya
         do ixa = 1, nxa
           write (*, 100)
     +    block (ixa, iya, SUB), block (ixa, iya, DIAG), 
     +    block (ixa, iya, SUP)
         end do
         write (*, '(1X)')
      end do
100   format (3f16.8)
      end
